<div class="d-flex flex-row flex-wrap">
    <div>
        <div class="bm-panel p-3 mb-2 mr-lg-5 mr-sm-0" style="width: 340px;">
            <div class="d-flex justify-content-between direction-row flex-wrap mb-2">
                <div class="bm-label-18 dark-grey-blue w-50">
                    <b>{{$ctrl.patient_data.first_name}} {{$ctrl.patient_data.last_name}}</b>
                </div>
                <div>
                    {{$ctrl.patient_data.ic_number}}
                </div>
            </div>

            <div class="d-flex justify-content-between direction-row flex-wrap mb-2">
                <div class="bm-label-16 dark-grey-blue">
                    {{::$ctrl.patient_data.country_name}}, {{::$ctrl.patient_data.calc_birthday}}, {{$ctrl.patient_data.gender.name}}
                </div>
                <div>
                    <img src="../../../images/Icon.png"> {{$ctrl.patient_data.contact.mobile}}
                </div>
                <!-- {{$ctrl.patient_data.mobile_number}} -->
            </div>

            <div class="d-flex justify-content-between direction-row flex-wrap mb-2">
                <div class="bm-label-16 dark-grey-blue">
                    DOB - {{::$ctrl.patient_data.birth_date | date:"MMM"}} {{::$ctrl.patient_data.birth_date |
                    date:"dd"}},
                    {{::$ctrl.patient_data.birth_date | date:"yyyy"}}
                </div>
                <!-- <div>
                    <i class="far fa-user-circle"></i> {{$ctrl.patient_data.contact}}
                </div> -->
            </div>
        </div>
    </div>
    <div class="border bm-panel p-3 test-box">
        <label class="bm-label-18 dark-grey-blue ">
            <b>TESTS</b>
        </label>
        <div class="d-flex flex-row mt-3 scroll-box">
            <div ng-repeat="test in $ctrl.tests">
                <div class="border dark-grey-blue mr-3 p-2" style="height: 40px;width: max-content;">
                    <p>{{test.test_name}}</p>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="d-flex flex-row">
    <div class="w-100">
        <div class="border bm-panel mt-4 ">
            <div class="bm-label-18 dark-grey-blue  p-3">
                <b>SPECIMEN LIST</b>
                <div class="d-flex flex-row justify-content-between flex-wrap">
                    <div ng-repeat="specimen in $ctrl.specimenList">
                        <div class="border p-2 spacemen mb-3">
                            <div class="d-flex flex-row flex-wrap ">
                                <input class="check-box" type="checkbox" ng-model="specimen.collect"
                                    ng-checked="specimen.collect">
                                <div class="ml-3 w-75">
                                    <div class="bm-label-16 dark-grey-blue"><b>{{specimen.name}}</b></div>
                                    <div class="d-flex flex-row justify-content-between ">
                                        <div>
                                            <div class="bm-label-14 dark-grey-blue">{{specimen.color}}</div>
                                            <div class="bm-label-14 dark-grey-blue">{{specimen.min_volume}}</div>
                                        </div>
                                        <button class="unobtained-btn" ng-if="specimen.collect === false">
                                            Unobtained
                                        </button>

                                        <button class="obtained-btn" ng-if="specimen.collect">
                                          Obtained
                                      </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="border bm-panel mt-4">
            <div class="bm-label-18 dark-grey-blue p-3">
                <b>SWAB LIST</b>
                <div class="d-flex flex-column justify-content-between">
                    <div ng-repeat="swab in $ctrl.swabList">
                        <div class="border p-2 mb-3 d-flex flex-row justify-content-between" style="width: 450px;">
                            <div style="height: 10%; width: 10%;">
                                <input class="check-box" type="checkbox" ng-model="swab.collect"
                                    ng-checked="swab.collect">
                            </div>
                            <div class="ml-2">
                                <div class="bm-label-16 dark-grey-blue"><b>{{swab.name}}</b></div>
                                <div class="d-flex flex-row justify-content-between" style="width: 150px;">
                                    <div class="bm-label-14 dark-grey-blue">{{swab.color}}</div>
                                    <button class="unobtained-btn" ng-if="swab.collect === false">
                                        Unobtained
                                    </button>
                                    <button class="obtained-btn" ng-if="swab.collect">
                                        Obtained
                                    </button>
                                </div>
                            </div>
                            <input class="form-control ng-pristine ng-untouched ng-valid ng-empty ml-2"
                                placeholder="Input Swab Site" ng-model="swab.inputSwab">
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="border bm-panel p-3 ml-2 mt-4" style="width: 30%;">
        <div class="bluey-grey bm-label-16"><b>Collection Date/Time</b></div>
        <div class="d-flex flex-row justify-content-between mt-2">
            <datetimepicker show-weeks="false" show-button-bar="false" date-format="dd/MM/yyyy" ng-model="date" date-options="$ctrl.dateOptions"
                date-opened="$ctrl.dateShowFlag">
            </datetimepicker>
            <img class="ml-2 mb-3" src="../../../images/Calendar_Icon.svg" ng-click="$ctrl.dateShowFlag = true" />
        </div>
        <div class="mt-3">
            <div class="bluey-grey bm-label-16"><b>Specimen (Only for blood)</b></div>
            <div class="d-flex flex-row mt-2">
                <div>
                    <input type="radio" id="specimen_1" name="specimen" ng-value="false" ng-model="vm.order.not_fasting"
                        tabindex="-1">
                    <label for="specimen_1" style="margin-right: 20px">Fasting</label>
                </div>
                <div>
                    <input type="radio" id="specimen_2" name="specimen" ng-value="true" ng-model="vm.order.not_fasting"
                        tabindex="-1">
                    <label for="specimen_2">Non-Fasting</label>
                </div>
            </div>
            <div class="mt-5">
                <div class="bluey-grey bm-label-16 mt-4"><b>Notes</b></div>
                <textarea ng-model="$ctrl.patient_data.order.note" class="form-control ng-pristine ng-untouched ng-valid ng-empty mt-2 ml-2" style="height: 150px;"></textarea>
            </div>
        </div>
    </div>
</div>
<div class="d-flex justify-content-end mt-3">
    <button class="button-back" ng-click="$ctrl.backStep()">Back</button>
    <button class="btn btn-danger biomark-btn-primary ml-3" ng-click="$ctrl.checkCompleteContinue()">Continue</button>
</div>

<div ng-if="$ctrl.openConfirm" class="biomark-modal d-flex justify-content-center align-items-center">
    <div class="modal_container p-3  d-flex flex-column justify-content-center align-items-center" style="width: 309px; height: 358px;">
        <img class="mb-2 mt-2" src="../../../images/alert.png">
        <div class="mt-3 mb-3 bm-label-18 dark-grey-blue">
            <b class="ml-4">
                Did you miss anything?
            </b>
            <div class="bm-label-12 bluey-grey mt-2 ml-1">
                Please check your specimen and swab list if you have collected all of them before continuing. 
            </div>
        </div>
        
        <button class="button-back mt-3 mb-3" ng-click="$ctrl.nextStep()">Confirm</button>
        <div ng-click="$ctrl.openConfirm=false">Check Again</div>
    </div>
</div>